/* Copyright © 2020 Splunk Inc.
SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
in part without a valid written license from Splunk Inc. is PROHIBITED. */
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};

// src/Provider.js
var Provider_exports = {};
__export(Provider_exports, {
  default: () => Provider_default
});
module.exports = __toCommonJS(Provider_exports);
var Provider = class {
  constructor() {
  }
  /**
   * return provider type
   */
  getType() {
    throw new Error("getType() not implemented");
  }
  /**
   * return a list of images
   */
  listIds(_0) {
    return __async(this, arguments, function* ({ offset, count }) {
      throw new Error("listIds() not implemented");
    });
  }
  /**
   * add an image to the storage
   */
  upload(dataURI, metaData) {
    return __async(this, null, function* () {
      throw new Error("upload() not implemented");
    });
  }
  /**
   * retrieve imageID
   */
  getById(imageID) {
    return __async(this, null, function* () {
      throw new Error("get() not implemented");
    });
  }
  /**
   * delete image by imageID
   */
  deleteById(imageID) {
    return __async(this, null, function* () {
      throw new Error("delete() not implemented");
    });
  }
};
var Provider_default = Provider;
//# sourceMappingURL=Provider.js.map
